Name:           python-blinker
Version:        1.4
Release:        4
Summary:        A powerful signal lib based on Python
License:        MIT
URL:            https://pythonhosted.org/blinker/
Source0:        http://pypi.python.org/packages/source/b/blinker/blinker-%{version}.tar.gz

BuildRequires:  python2-devel python2-setuptools python3-devel python3-setuptools

BuildArch:      noarch

%description
Blinker is a signal lib based on Python.It supports both object-to-object
and multicasting for python object.The core of blinker is minimal but provides
quite powerful features.

%package   -n   python2-blinker
Summary:        A powerful signal lib based on Python2
%{?python_provide:%python_provide python2-blinker}

%description -n python2-blinker
Blinker is a signal lib based on Python2.It supports both object-to-object
and multicasting for python object.The core of blinker is minimal but provides
quite powerful features.

%package   -n   python3-blinker
Summary:        A powerful signal lib based on Python3
%{?python_provide:%python_provide python3-blinker}

%description -n python3-blinker
Blinker is a signal lib based on Python.It supports both object-to-object
and multicasting for python object.The core of blinker is minimal but provides
quite powerful features.

%prep
%autosetup -n blinker-%{version} -p1

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build

cd %{py3dir}
%{__python3} setup.py build
cd -

%install
%{__python2} setup.py install -O1 --root $RPM_BUILD_ROOT --skip-build

cd %{py3dir}
%{__python3} setup.py install -O1 --root $RPM_BUILD_ROOT --skip-build
cd -

%files -n python2-blinker
%doc docs/ CHANGES LICENSE README.md PKG-INFO
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/blinker

%files -n python3-blinker
%doc docs/ CHANGES LICENSE README.md PKG-INFO
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/blinker

%changelog
* Tue Nov 26 2019 zhouyihang <zhouyihang1@huawei.com> - 1.4-4
- Package init
